Packages

  • Status Unconfirmed
  • Percent Complete
    0%
  • Task Type Feature Request
  • Category Any
  • Assigned To No-one
  • Operating System All
  • Severity Medium
  • Priority Very Low
  • Reported Version Any
  • Due in Version Undecided
  • Due Date Undecided
  • Votes
  • Private
Attached to Project: Packages
Opened by Alon Ivtsan - 09/09/2018

FS#1169 - Remove dependency of packages on pulseaudio/libpulse

Similar to systemd, pulseaudio or libpulse is forced upon users as many packages require it such as kodi, gnome-shell (and thus also gdm), ffmpeg, gst-plugins-good, simplescreenrecorder, clementine, empathy, seamonkey (iceape), fluidsynth, mumble and qemu, Most/all of these packages can probably be compiled with pulseaudio or libpulse as an optional dependency instead.

winter commented on 08.04.2019 01:40

Actually, instead, or in combination, could we instead or also add apulse and have whatever sound program use apulse so that programs you compile from source for certain purposes don't break?

winter commented on 08.04.2019 01:40

The one I need is libre, its called wine-staging.

winter commented on 08.04.2019 04:00

Actually... nevermind. I suppose alsa works well enough for that.

Date User Effort (H:M)

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing